︠1d5f98fc-a72e-4aa0-9eb7-6200a31ce10fi︠
%html
<p>This is an example done in class on Wed., Feb. 17. &nbsp;I've added colors to the planes. &nbsp;The coordinate planes are now green. &nbsp;The actual surface through which we are calculating flux is contained in the red plane.</p>

︡5d0e637f-50f1-4bff-b67b-a0f56ad9cb92︡{"html": "<p>This is an example done in class on Wed., Feb. 17. &nbsp;I've added colors to the planes. &nbsp;The coordinate planes are now green. &nbsp;The actual surface through which we are calculating flux is contained in the red plane.</p>"}︡
︠a1e9bc66-3293-412c-bf69-005643c817d8︠
var('x y z')
p1 = parametric_plot3d((x, y, 1+2*y-x), (x,-1,2), (y,-1,2), opacity=.65, color='red')
p2 = parametric_plot3d((x,y,0), (x,-1,2), (y,-1,2), opacity=.65, color='green')
p3 = parametric_plot3d((x,0,z), (x,-1,2), (z,-2,4), opacity=.65, color='green')
p4 = parametric_plot3d((0,y,z), (y,-1,2), (z,-2,4), opacity=.65, color='green')
p5 = parametric_plot3d((x,1-x,z), (x,-1,2), (z,-2,4), opacity=.65, color='blue')
show(p1+p2+p3+p4+p5)
︡d96dc09c-5599-41a2-9578-41886e75cd73︡︡
︠7442ad1c-cfe0-45ff-8436-274a354ce6d8︠
var('x y z u v')
F = vector([y,z,x^2])
r = vector([u,v,1+2*v-u])

integrand(u,v) = F(x=r[0], y=r[1], z=r[2]) * diff(r,u).cross_product(diff(r,v))
︡6009637f-f845-4bc9-9cd2-12f329992d29︡︡
︠447582e0-3f1f-4ff8-bf36-1fa0fc9c16a8i︠
%html
<p>The first way of computing the flux across our surface mentioned in an email I sent.</p>

︡9ffda5ca-a83e-4490-9949-0e4334c42258︡{"html": "<p>The first way of computing the flux across our surface mentioned in an email I sent.</p>"}︡
︠f9ec0487-15fc-44b4-8388-bfb714baa2d1︠
numerical_integral(lambda u: numerical_integral(integrand(u,v), 0, 1-u)[0], 0, 1)
︡8d444229-9dc1-4738-9d9d-018e99961137︡{"stdout": "(-1.0833333333333335, 1.2155813821184732e-14)"}︡
︠1e1b0907-eaf1-4793-aa9f-7865edefca5bi︠
%html
<p>The other method mentioned in the email, employing the Python scipy package. &nbsp;Several quirks of this method: 1) it requires the parameter that appears first in <em>integrand</em> to be the inside integral. &nbsp;2) The limits of integration for the inner integral come last (below I've called them <em>a</em> and <em>b</em>), and it seems they need to be functions---using numbers appears not to work.</p>

︡36b12a8d-220e-4b37-97da-b2d2c6322e65︡{"html": "<p>The other method mentioned in the email, employing the Python scipy package. &nbsp;Several quirks of this method: 1) it requires the parameter that appears first in <em>integrand</em> to be the inside integral. &nbsp;2) The limits of integration for the inner integral come last (below I've called them <em>a</em> and <em>b</em>), and it seems they need to be functions---using numbers appears not to work.</p>"}︡
︠43c6b063-b5a7-41be-893d-88cc9e35a3e1︠
import scipy
from scipy import integrate
integrand(v,u) = F(x=r[0], y=r[1], z=r[2]) * diff(r,u).cross_product(diff(r,v))
a(x)=0.0
b(x)=1-x
integrate.dblquad(integrand,0,1,a,b)
︡6807d41e-6641-4e85-8e52-a35b36a9edbf︡{"stdout": "(-1.0833333333333335, 1.2159275043597867e-14)"}︡
